
#include <WFX/input/MouseEvent.h>

using namespace WFX;
using namespace WFX::input;

MouseButtonEvent::MouseButtonEvent(UInt x, UInt y, MouseButton btn, BtnState s) : MouseEvent(x,y),
                                                                                  Button(btn),
                                                                                  State(s) {
}

MouseMotionEvent::MouseMotionEvent(UInt x, UInt y, Int xr, Int yr) : MouseEvent(x,y),
                                                                     XRel(xr),
                                                                     YRel(yr) {

}

void MouseMotionEvent::printDebug() {
    LOG("MouseMotionEvent Debug: ");
    LOG("X    = " << X);
    LOG("Y    = " << Y);
    LOG("XRel = " << XRel);
    LOG("YRel = " << YRel);
}


